/*
 * Class BOUNDED [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_353 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_353 [] = {0xFF01,237,352,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_353 [] = {0xFF01,352,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_353 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_353 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_353 [] = {0xFF01,352,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_353 [] = {0xFF01,352,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_353 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_353 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_353 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_353 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_353 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_353 [] = {352,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_353 [] = {0xFF01,352,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_353 [] = {0xFF01,333,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_353 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_353[] = {
	{EIF_GENERIC(NULL), 2070, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_353), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_353), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_353), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_353), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_353), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_353), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_353), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_353), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_353), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_353), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_353), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_353), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_353), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_353), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2021, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1856, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_353), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_353), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2069, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init353(void)
{
	IDSC(desc_353, 0, 352);
	IDSC(desc_353 + 1, 1, 352);
	IDSC(desc_353 + 32, 77, 352);
	IDSC(desc_353 + 41, 103, 352);
	IDSC(desc_353 + 43, 35, 352);
	IDSC(desc_353 + 44, 50, 352);
}


#ifdef __cplusplus
}
#endif
